Skip to main content
POST
/
chat
/
sessions
/
filter
Filter chat sessions
curl --request POST \
  --url https://api.open.cx/chat/sessions/filter \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {},
  "page": 1,
  "limit": 25
}
'
import requests

url = "https://api.open.cx/chat/sessions/filter"

payload = {
"filters": {},
"page": 1,
"limit": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: {}, page: 1, limit: 25})
};

fetch('https://api.open.cx/chat/sessions/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "summary": "<string>",
      "channel": {},
      "ticket_number": 123,
      "assist_mode": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "[email protected]",
        "phone_number": "<string>",
        "name": "<string>",
        "custom_data": {},
        "created_at": "<string>",
        "updated_at": "<string>",
        "non_verified_name": "<string>",
        "non_verified_email": "<string>",
        "non_verified_custom_data": {}
      },
      "language": "<string>",
      "assignee_id": "<string>",
      "custom_data": {},
      "team": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>"
      },
      "handoff": {
        "summary": "<string>"
      },
      "ticketing_system": {
        "external_id": "<string>"
      }
    }
  ],
  "page": 123,
  "limit": 123,
  "has_next": true,
  "has_previous": true
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filters
object
sort_by
enum<string>

Sort field (default: last_message_at)

Available options:
last_message_at,
created_at
sort_order
enum<string>

Sort direction (default: desc)

Available options:
asc,
desc
page
number
default:1

Page number (1-based, default: 1)

limit
number
default:25

Results per page (1-100, default: 25)

Response

Default Response

data
object[]
required
page
number
required
limit
number
required
has_next
boolean
required
has_previous
boolean
required